Subject: bug#71556: GNOME Konsol crashes

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 21 Jun 2024 06:32:00 +0200

Am Freitag, dem 14.06.2024 um 18:34 +0200 schrieb Simon Josefsson:
> Hi.
> 
> GNOME Konsol has crashed for me, bringing down all 10+ windows I had
> open (and plenty of ongoing work halted...).  I've now seen this
> twice, so I suppose it counts as reproducible, even though I don't
> know how to trigger it.  I recall that it happened when I used the
> mouse to maybe resize windows or switch workspace somehow.
> 
> This is guix v1.3.0-60008-g7e00fb9f31 with a fairly normal system
> configuration [1] on a fairly ordinary amd64 desktop (MSI Z790P).
> Syslog has these two crashes:
… and a fairly normal GPU?

The crash indicates some driver issue, probably in Mesa.  Since GNOME
is increasingly hardware accelerated, you tend to notice them in a lot
of places.  You can twiddle the GSK_RENDERER environment variable to
something less buggy, potentially at the cost of performance. 
Particularly the cairo one ought to do slow, but correct CPU rendering.

Cheers